import 'package:bloc/bloc.dart';

export 'auth/bloc.dart';
export 'calendar/bloc.dart';
export 'contacts/bloc.dart';
export 'leads/bloc.dart';
export 'loans/bloc.dart';
export 'nav/bloc.dart';
export 'scaffold/bloc.dart';
export 'search/bloc.dart';

class SimpleBlocDelegate extends BlocDelegate {
  @override
  void onEvent(Bloc bloc, Object event) {
    super.onEvent(bloc, event);
    print(event);
  }

  @override
  void onTransition(Bloc bloc, Transition transition) {
    super.onTransition(bloc, transition);
    print(transition);
  }

  @override
  void onError(Bloc bloc, Object error, StackTrace stacktrace) {
    super.onError(bloc, error, stacktrace);
    print('$error, $stacktrace');
  }
}
