import 'package:meta/meta.dart';

import '../../classes/calculator.dart';
import 'calculation_bloc.dart';

@immutable
abstract class CalculationState {}

class InitialCalculationState extends CalculationState {}

class ValuesLoading extends CalculationState {}

class ValuesLoaded extends CalculationState {
  final MortgageCalculation calculation;
  final FormFields fields;

  ValuesLoaded(this.calculation, this.fields);
}
