import 'package:moor/moor.dart';

@DataClassName('Favorite')
class FavoriteRecords extends Table {
  @override
  String get tableName => 'favorite';

  @override
  Set<Column> get primaryKey => {favoriteId};

  TextColumn get userId => text()();

  IntColumn get favoriteId => integer().autoIncrement()();

  TextColumn get type => text().nullable()();

  TextColumn get typeId => text().nullable()();
}
