import 'package:moor/moor.dart';

@DataClassName('Rates')
class RatesRecords extends Table {
  @override
  String get tableName => 'rates';

  @override
  Set<Column> get primaryKey => {type};

  TextColumn get type => text()();

  TextColumn get rates => text().nullable()();

  RealColumn get currentRate => real().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}

enum RateType { rates7Day, rate30Day, rate356Day }
