part of unify;

class MarketingPartner implements UnifyObject {
  MarketingPartner(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["Marketing_Partner_ID"];

  String get firstName => json["First_Name"];

  String get lastName => json["Last_Name"];

  String get fullName => "$firstName $lastName".trim();

  String get displayName => "$lastName, $firstName";

  bool get active => json["Active"]?.toString()?.contains("True");
}
