import 'package:moor/moor.dart';

@DataClassName('ContactGroup')
class ContactGroupRecords extends Table {
  @override
  String get tableName => 'contactGroup';

  @override
  Set<Column> get primaryKey => {groupId};

  TextColumn get userId => text()();

  TextColumn get groupName => text().nullable()();

  TextColumn get groupId => text().nullable()();
  
  IntColumn get count => integer().nullable()();
  
  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
