String getDurationFromSeconds(num value) {
  if (value == null) return "";

  if (value > 60) {
    return "${Duration(seconds: value).inMinutes} min";
  }
  if (value > 3600) {
    return "${Duration(seconds: value).inHours} hr";
  }
  return "${Duration(seconds: value).inSeconds} s";
}

String durationFormat(Duration value) {
  print("Value => ${value.inMinutes}");
  if (value == null) return "";

  if (value.inMinutes >= 60) {
    if ((3600 / value.inMinutes) != 3600) {
      return "${value.inHours} hr : ${value.inMinutes - (value.inHours * 60)} min";
    }
    return "${value.inHours} hr";
  }

  if (value.inSeconds >= 60) {
    if ((3600 / value.inSeconds) != 3600) {
      return "${value.inMinutes} min : ${value.inSeconds - (value.inMinutes * 60)} s";
    }
    return "${value.inMinutes} min";
  }

  return "${value.inSeconds} s";
}

String getResolution(num width, num height) {
  if (width == null && height == null) return "";
  return "$width x $height";
}

double kelvinToFarienhight(double value) {
  var _result = (value - 273.15) * 9 / 5 + 32;
  return _result.roundToDouble();
}

String formatMoney(num value, {int fixed = 2}) {
  if (value == null) return "";
  return "\$${value.toStringAsFixed(fixed)}";
}

String formatPercentage(double value, {int fixed = 3}) {
  if (value == null) return "";
  return "${value.toStringAsFixed(fixed)}%";
}
