import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

// Future<String> textInputPopUp(BuildContext context,
//     {String label = "Info",
//     String value = "",
//     TextInputType keyboard = TextInputType.text}) async {
//   return await Navigator.push(
//       context,
//       new MaterialPageRoute(
//         builder: (context) =>
//             EditFieldPage(value: value, label: label, keyboard: keyboard),
//         fullscreenDialog: true,
//       ));
// }

// class EditFieldPage extends StatefulWidget {
//   EditFieldPage({
//     this.label = "",
//     String value = "",
//     this.keyboard,
//   }) : myController = TextEditingController(text: value);

//   final TextEditingController myController;
//   final String label;
//   final TextInputType keyboard;

//   @override
//   EditFieldPageState createState() {
//     return new EditFieldPageState(myController);
//   }
// }

// class EditFieldPageState extends State<EditFieldPage> {
//   EditFieldPageState(this.myController);

//   final TextEditingController myController;

//   @override
//   void dispose() {
//     myController.dispose();
//     super.dispose();
//   }

//   @override
//   Widget build(BuildContext context) {
//     return SimpleScaffold(
//       title: widget.label,
//       iconData: Icons.check,
//       iconTap: () => Navigator.pop(context, myController.text),
//       body: Padding(
//         padding: const EdgeInsets.all(16.0),
//         child: TextField(
//           autofocus: true,
//           controller: myController,
//           keyboardType: widget.keyboard,
//           keyboardAppearance: Theme.of(context).brightness,
//           maxLines: null,
//         ),
//       ),
//     );
//   }
// }

// class _SystemPadding extends StatelessWidget {
//   final Widget child;

//   _SystemPadding({Key key, this.child}) : super(key: key);

//   @override
//   Widget build(BuildContext context) {
//     var mediaQuery = MediaQuery.of(context);
//     return new AnimatedContainer(
//         padding: mediaQuery.viewInsets,
//         duration: const Duration(milliseconds: 300),
//         child: child);
//   }
// }

void showAlertPopup(BuildContext context, String title, String detail) async {
  void showDemoDialog<T>({BuildContext context, Widget child}) {
    showDialog<T>(
      context: context,
      barrierDismissible: false,
      builder: (BuildContext context) => child,
    );
  }

  return showDemoDialog<Null>(
      context: context,
      child: AlertDialog(
        title: Text(title),
        content: Text(detail),
        actions: <Widget>[
          FlatButton(
              child: Text('OK'),
              onPressed: () {
                Navigator.of(context).pop();
              }),
        ],
      ));
}

Future<bool> showConfirmationPopup(BuildContext context,
    {String title = "Info", String detail = ""}) {
//  void showDemoDialog<T>({BuildContext context, Widget child}) {
//    showDialog<T>(
//      context: context,
//      barrierDismissible: false,
//      builder: (BuildContext context) => child,
//    );
//  }

  return showDialog<bool>(
      context: context,
      builder: (context) => AlertDialog(
            title: Text(title),
            content: Text(detail),
            actions: <Widget>[
              FlatButton(
                  child: Text('Confirm'),
                  onPressed: () {
                    Navigator.of(context, rootNavigator: true).pop(true);
                  }),
              FlatButton(
                  child: Text('Cancel'),
                  onPressed: () {
                    Navigator.of(context, rootNavigator: true).pop(false);
                  }),
            ],
          ));
}

