part of unify;

class AccountStats {
  const AccountStats({
    this.contacts,
    this.leads,
    this.coreLeads,
    this.loans,
    this.loansMyPipeline,
    this.loansActiveLoans,
    this.loansProspects,
    this.loansClosed,
    this.loansOther,
    this.dashboardPartners,
    this.dashboardPipeline,
    this.dashboardCustomer,
    this.dashboardHotProspect,
  });

  final int contacts;
  final int leads;
  final int loans;
  final int coreLeads;
  final int loansMyPipeline;
  final int loansActiveLoans;
  final int loansProspects;
  final int loansClosed;
  final int loansOther;
  final int dashboardPartners;
  final int dashboardPipeline;
  final int dashboardCustomer;
  final int dashboardHotProspect;

  Map<String, dynamic> get json => {
        'contacts': contacts,
        'leads': leads,
        'coreLeads': coreLeads,
        'loans': loans,
        'loansMyPipeline': loansMyPipeline,
        'loansActiveLoans': loansActiveLoans,
        'loansProspects': loansProspects,
        'loansClosed': loansClosed,
        'loansOther': loansOther,
        'dashboardPartners': dashboardPartners,
        'dashboardPipeline': dashboardPipeline,
        'dashboardCustomer': dashboardCustomer,
        'dashboardHotProspect': dashboardHotProspect,
      };
}
