library unify.tool;

import 'dart:convert';
import 'unify.dart';

export 'unify.dart';

UnifyClient getUnifyClient(
    {String unifyUsername,
    String unifyPassword,
    UnifyApiEndpoints endpoints,
    String domain = "mobile.myunifycrm.com"}) {
  var email = unifyUsername;
  var password = unifyPassword;

  if (password.startsWith("base64:")) {
    password =
        const Utf8Decoder().convert(const Base64Decoder().convert(password, 7));
  }

  if (password.endsWith("\n")) {
    password = password.substring(0, password.length - 1);
  }

  return UnifyClient(email, password, endpoints: endpoints, domain: domain);
}
